Package org.codehaus.groovy.ant

# Class AntProjectPropertiesDelegate

java.lang.Object
java.util.Dictionary
java.util.Hashtable
org.codehaus.groovy.ant.AntProjectPropertiesDelegate

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map`

public class AntProjectPropertiesDelegate extends Hashtable

Author:
  Guillaume Laforge
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AntProjectPropertiesDelegate(Map t)`
`AntProjectPropertiesDelegate(Project project)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Object`
`clone()`
`boolean`
`contains(Object value)`
`boolean`
`containsKey(Object key)`
`boolean`
`containsValue(Object value)`
`Enumeration`
`elements()`
`Set`
`entrySet()`
`boolean`
`equals(Object o)`
`Object`
`get(Object key)`
`int`
`hashCode()`
`boolean`
`isEmpty()`
`Enumeration`
`keys()`
`Set`
`keySet()`
`Object`
`put(Object key, Object value)`
`void`
`putAll(Map t)`
`Object`
`remove(Object key)`
`int`
`size()`
`String`
`toString()`
`Collection`
`values()`

### Methods inherited from class java.util.Hashtable

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, rehash, remove, replace, replace, replaceAll`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AntProjectPropertiesDelegate

public AntProjectPropertiesDelegate(Project project)

### AntProjectPropertiesDelegate

public AntProjectPropertiesDelegate(Map t)

## Method Details

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Map`
Overrides:
  `hashCode` in class `Hashtable`

### size

public int size()

Specified by:
  `size` in interface `Map`
Overrides:
  `size` in class `Hashtable`

### clear

public void clear()

Specified by:
  `clear` in interface `Map`
Overrides:
  `clear` in class `Hashtable`
Throws:
  `UnsupportedOperationException` - is always thrown when this method is invoked. The Project properties are immutable.

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map`
Overrides:
  `isEmpty` in class `Hashtable`

### clone

public Object clone()

Overrides:
  `clone` in class `Hashtable`

### contains

public boolean contains(Object value)

Overrides:
  `contains` in class `Hashtable`

### containsKey

public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map`
Overrides:
  `containsKey` in class `Hashtable`

### containsValue

public boolean containsValue(Object value)

Specified by:
  `containsValue` in interface `Map`
Overrides:
  `containsValue` in class `Hashtable`

### equals

public boolean equals(Object o)

Specified by:
  `equals` in interface `Map`
Overrides:
  `equals` in class `Hashtable`

### toString

public String toString()

Overrides:
  `toString` in class `Hashtable`

### values

public Collection values()

Specified by:
  `values` in interface `Map`
Overrides:
  `values` in class `Hashtable`

### elements

public Enumeration elements()

Overrides:
  `elements` in class `Hashtable`

### keys

public Enumeration keys()

Overrides:
  `keys` in class `Hashtable`

### putAll

public void putAll(Map t)

Specified by:
  `putAll` in interface `Map`
Overrides:
  `putAll` in class `Hashtable`

### entrySet

public Set entrySet()

Specified by:
  `entrySet` in interface `Map`
Overrides:
  `entrySet` in class `Hashtable`

### keySet

public Set keySet()

Specified by:
  `keySet` in interface `Map`
Overrides:
  `keySet` in class `Hashtable`

### get

public Object get(Object key)

Specified by:
  `get` in interface `Map`
Overrides:
  `get` in class `Hashtable`

### remove

public Object remove(Object key)

Specified by:
  `remove` in interface `Map`
Overrides:
  `remove` in class `Hashtable`
Throws:
  `UnsupportedOperationException` - is always thrown when this method is invoked. The Project properties are immutable.

### put

public Object put(Object key, Object value)

Specified by:
  `put` in interface `Map`
Overrides:
  `put` in class `Hashtable`